Description: Python3.12: s/assertEquals/assertEqual/g
Bug-Debian: https://bugs.debian.org/1058257
Author: Andreas Tille <tille@debian.org>
Last-Update: Mon, 15 Jan 2024 17:00:16 +0100
Remark: This package is lagging behind upstream which has fixed Python3.12 compatibility

--- a/persistqueue/tests/test_sqlqueue.py
+++ b/persistqueue/tests/test_sqlqueue.py
@@ -234,7 +234,7 @@ class SQLite3QueueTest(unittest.TestCase
                 e=[1]
             ))
         q.put(x)
-        self.assertEquals(q.get(), x)
+        self.assertEqual(q.get(), x)
 
     def test_put_0(self):
         q = SQLiteQueue(path=self.path)
